## getMouseScreenX and getMouseScreenY

### Syntax:

    getMouseScreenX ();

    getMouseScreenY ();

### Purpose:

Get the current x or y co-ordinate of the mouse in relation to the SLUDGE window (or screen if the program is running in full-screen mode); that is, how far across or down the window the mouse cursor is currently positioned, regardless of where the camera is aimed in a scrolling scene.

### Return value:

The functions each returns a number between 0 and the width or height of the window or screen minus 1 (inclusive). 0 represents the very left (in the case of getMouseScreenX) or top (in the case of getMouseScreenY) of the window or screen.

### See also:

getMouseX and getMouseY

getOverObject

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012